View Issue Details

IDProjectCategoryView StatusLast Update
0015062FPCRTLpublic2011-11-30 21:46
ReporterFelipe Monteiro de Carvalho Assigned ToYuriy Sydorov  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.4 
Fixed in Version2.4.4 
Summary0015062: Please remove DEFAULT_GUI_FONT from Windows CE RTL
DescriptionGetStockObject(DEFAULT_GUI_FONT) returns zero in Windows CE emulator and devices, plus it isn't even listed in the MSDN docs:

http://msdn.microsoft.com/en-us/library/aa453164.aspx

I think it would be better to remove it to prevent people from using it and expecting it to work like in desktop Windows. We just had a bug about that in LCL-WinCE
TagsNo tags attached.
Fixed in Revision16377
FPCOldBugId0
FPCTarget
Attached Files

Relationships

child of 0015058 closedFelipe Monteiro de Carvalho Lazarus No default fonts are initialized on WinCE (Windows Mobile 6.1) 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-11-11 17:22 Felipe Monteiro de Carvalho New Issue
2009-11-11 17:22 Felipe Monteiro de Carvalho FPCOldBugId => 0
2009-11-11 17:22 Felipe Monteiro de Carvalho Relationship added child of 0015058
2009-11-11 20:58 Jonas Maebe Category Utilities => RTL
2009-11-11 20:58 Jonas Maebe Status new => assigned
2009-11-11 20:58 Jonas Maebe Assigned To => Yuriy Sydorov
2010-08-16 11:38 Felipe Monteiro de Carvalho Fixed in Revision => 15828
2010-08-16 11:38 Felipe Monteiro de Carvalho Status assigned => resolved
2010-08-16 11:38 Felipe Monteiro de Carvalho Fixed in Version => 2.5.1
2010-08-16 11:38 Felipe Monteiro de Carvalho Resolution open => fixed
2011-05-01 16:33 Marco van de Voort Fixed in Version 2.5.1 => 2.4.4
2011-05-01 18:15 Marco van de Voort Fixed in Revision 15828 => 16377
2011-05-01 18:15 Marco van de Voort Status resolved => closed
2011-05-02 17:39 Marco van de Voort Status closed => resolved
2011-11-30 21:46 Marco van de Voort Status resolved => closed